#ifndef _TEST_APP
#define _TEST_APP

#define OF_ADDON_USING_OFXXMLSETTINGS

#include "ofAddons.h"
#include "ofMain.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
						
		ofSerial	serial;			//our serial object
		ofTrueTypeFont TTF;			//to draw text to the screen
		
		ofVideoPlayer VID;			//our two videos
		ofVideoPlayer VID2;
			
		ofxXmlSettings XML;
		
		string message;				//displays how the data comes in
		
		bool bMoviePlay;			//for the trigger movie
		int    valueIn;				//the latest number we have recieved 
		float smoothedValue;		//smooths the incomming value
		float normalizedValue;		//the value as 0.0 to 1.0 range
		int state;
		float	pct;				//for bluring over time
		
		int full;					//whether we are fullscreen video or not 
		bool isSetup;				//whether we are connected to the device
		float values[640];
		int posVal;
		
	
};

#endif	

