#include "WProgram.h"
int val, value;

void setup(){
  
    //we need to setup our serial
    Serial.begin(9600);	
}

void loop(){
   
  
    //of the pin should be (0 - 1024)
    value = analogRead(0);
    
    //check if OF wants data
    val = Serial.read();    
    
    //if we get a '!' from OF then we should send the sonar value
    if (val != -1) {
      if (val == '!') {
       
        //we split the 0 - 1024 number into two bytes so we are sending a message of a known length
        unsigned char val1;
        unsigned char val2;
       
        //gnarly code to turn the int into two bytes       
        val1 = value &0xFF;
        val2 = (value >> 8) &0xFF; 
        
        //send both bytes
        Serial.print(val1, BYTE);
        Serial.print(val2, BYTE);
        
        //wait a little bit so we don't send too much data 
        //might not be nessecary
        delay(20);
        
      }
    }
    
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

